ARG MAKE_JOBS=1

FROM debian:12

WORKDIR /opt

RUN apt-get update && apt-get -y install git cmake g++ libpng-dev libjpeg-dev libtiff-dev libxxf86vm1 libxxf86vm-dev libxi-dev libxrandr-dev graphviz libboost-iostreams-dev libboost-program-options-dev libboost-system-dev libboost-serialization-dev libopencv-dev libcgal-dev libcgal-qt5-dev libglfw3-dev libglew-dev libeigen3-dev libceres-dev

# openMVG
RUN git clone --recursive https://github.com/openMVG/openMVG.git
RUN mkdir openMVG_Build && cd openMVG_Build; \
    cmake -DCMAKE_BUILD_TYPE=Release -DOpenMVG_BUILD_EXAMPLES=ON . ../openMVG/src/; \
    cmake --build . -j$MAKE_JOBS --target install

# openMVS
RUN git clone https://github.com/cdcseacave/VCG.git
RUN git clone --recurse-submodules https://github.com/cdcseacave/openMVS.git
RUN mkdir openMVS_build && cd openMVS_build; \
    cmake . ../openMVS -DCMAKE_BUILD_TYPE=Release -DVCG_ROOT=../VCG; \
    cmake --build . -j$MAKE_JOBS --target install
ENV PATH="$PATH:/usr/local/bin/OpenMVS"
